| iep

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Calculate the isoelectric point of proteins

## Description

iep calculates the isoelectric point of a protein from its amino acid composition assuming that no electrostatic interactions change the propensity for ionization. Optionally, iep will plot the ionization curve with respect to pH and write an output file of the data, where for each pH point the number of bound electrons and charge is given.

For peptide fragments it is possible to exclude the charges of the amino and carboxy terminal residues.

## Usage

Here is a sample session with iep

    % iep tsw:laci_ecoli
    Calculate the isoelectric point of proteins
    Output file [laci_ecoli.iep]:

Go to the input files for this example
Go to the output files for this example

Example 2

    % iep tsw:ifna2_human -disulphide 2 -lysinemodified 2
    Calculate the isoelectric point of proteins
    Output file [ifna2_human.iep]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Calculate the isoelectric point of proteins
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers (* if not always prompted):
      [-sequence]          seqall     Protein sequence(s) filename and optional
                                      format, or reference (input USA)
    *  -graph              xygraph    [$EMBOSS_GRAPHICS value, or x11] Graph type
                                      (ps, hpgl, hp7470, hp7580, meta, cps, x11,
                                      tek, tekt, none, data, xterm, png, gif, pdf,
                                      svg)
    *  -outfile            outfile    [*.iep] Output file name

       Additional (Optional) qualifiers:
       -amino              integer    [1] Number of N-termini (Integer 0 or more)
       -carboxyl           integer    [1] Number of C-termini (Integer 0 or more)
       -[no]termini        boolean    [Y] Include charge at N and C terminus
       -lysinemodified     integer    [0] Number of modified lysines (Integer 0 or
                                      more)
       -disulphides        integer    [0] Number of disulphide bridges (Integer 0
                                      or more)

       Advanced (Unprompted) qualifiers:
       -pkdata             datafile   [Epk.dat] Values of pKa for amino acids
       -step               float      [.5] Step value for pH (Number from 0.010 to
                                      1.000)
       -plot               toggle     [N] Plot charge vs pH
       -[no]report         toggle     [Y] Write results to a file

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-graph" associated qualifiers
       -gprompt            boolean    Graph prompting
       -gdesc              string     Graph description
       -gtitle             string     Graph title
       -gsubtitle          string     Graph subtitle
       -gxtitle            string     Graph x axis title
       -gytitle            string     Graph y axis title
       -goutfile           string     Output file for non interactive displays
       -gdirectory         string     Output directory

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | Protein sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
-graph | xygraph | Graph type | EMBOSS has a list of known devices, including ps, hpgl, hp7470, hp7580, meta, cps, x11, tek, tekt, none, data, xterm, png, gif, pdf, svg | EMBOSS_GRAPHICS value, or x11
-outfile | outfile | Output file name | Output file | <*>.iep
Additional (Optional) qualifiers
-amino | integer | Number of N-termini | Integer 0 or more | 1
-carboxyl | integer | Number of C-termini | Integer 0 or more | 1
-[no]termini | boolean | Include charge at N and C terminus | Boolean value Yes/No | Yes
-lysinemodified | integer | Number of modified lysines | Integer 0 or more | 0
-disulphides | integer | Number of disulphide bridges | Integer 0 or more | 0
Advanced (Unprompted) qualifiers
-pkdata | datafile | Values of pKa for amino acids | Data file | Epk.dat
-step | float | Step value for pH | Number from 0.010 to 1.000 | .5
-plot | toggle | Plot charge vs pH | Toggle value Yes/No | No
-[no]report | toggle | Write results to a file | Toggle value Yes/No | Yes
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-graph" associated xygraph qualifiers
-gprompt | boolean | Graph prompting | Boolean value Yes/No | N
-gdesc | string | Graph description | Any string |
-gtitle | string | Graph title | Any string |
-gsubtitle | string | Graph subtitle | Any string |
-gxtitle | string | Graph x axis title | Any string |
-gytitle | string | Graph y axis title | Any string |
-goutfile | string | Output file for non interactive displays | Any string |
-gdirectory | string | Output directory | Any string |
"-outfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

iep reads one or more protein sequences.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tsw:laci_ecoli' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:laci_ecoli

    ID   LACI_ECOLI              Reviewed;         360 AA.
    AC   P03023; O09196; P71309; Q2MC79; Q47338;
    DT   21-JUL-1986, integrated into UniProtKB/Swiss-Prot.
    DT   19-JUL-2003, sequence version 3.
    DT   13-JUN-2012, entry version 136.
    DE   RecName: Full=Lactose operon repressor;
    GN   Name=lacI; OrderedLocusNames=b0345, JW0336;
    OS   Escherichia coli (strain K12).
    OC   Bacteria; Proteobacteria; Gammaproteobacteria; Enterobacteriales;
    OC   Enterobacteriaceae; Escherichia.
    OX   NCBI_TaxID=83333;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RX   MEDLINE=78246991; PubMed=355891; DOI=10.1038/274765a0;
    RA   Farabaugh P.J.;
    RT   "Sequence of the lacI gene.";
    RL   Nature 274:765-769(1978).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Chen J., Matthews K.K.S.M.;
    RL   Submitted (MAY-1991) to the EMBL/GenBank/DDBJ databases.
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Marsh S.;
    RL   Submitted (JAN-1997) to the EMBL/GenBank/DDBJ databases.
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=K12 / MG1655 / ATCC 47076;
    RA   Chung E., Allen E., Araujo R., Aparicio A.M., Davis K., Duncan M.,
    RA   Federspiel N., Hyman R., Kalman S., Komp C., Kurdi O., Lew H., Lin D.,
    RA   Namath A., Oefner P., Roberts D., Schramm S., Davis R.W.;
    RT   "Sequence of minutes 4-25 of Escherichia coli.";
    RL   Submitted (JAN-1997) to the EMBL/GenBank/DDBJ databases.
    RN   [5]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=K12 / MG1655 / ATCC 47076;
    RX   MEDLINE=97426617; PubMed=9278503; DOI=10.1126/science.277.5331.1453;
    RA   Blattner F.R., Plunkett G. III, Bloch C.A., Perna N.T., Burland V.,
    RA   Riley M., Collado-Vides J., Glasner J.D., Rode C.K., Mayhew G.F.,
    RA   Gregor J., Davis N.W., Kirkpatrick H.A., Goeden M.A., Rose D.J.,
    RA   Mau B., Shao Y.;
    RT   "The complete genome sequence of Escherichia coli K-12.";
    RL   Science 277:1453-1474(1997).
    RN   [6]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=K12 / W3110 / ATCC 27325 / DSM 5911;
    RX   PubMed=16738553; DOI=10.1038/msb4100049;
    RA   Hayashi K., Morooka N., Yamamoto Y., Fujita K., Isono K., Choi S.,
    RA   Ohtsubo E., Baba T., Wanner B.L., Mori H., Horiuchi T.;
    RT   "Highly accurate genome sequences of Escherichia coli K-12 strains

      [Part of this file has been deleted for brevity]

    FT   CHAIN         1    360       Lactose operon repressor.
    FT                                /FTId=PRO_0000107963.
    FT   DOMAIN        1     58       HTH lacI-type.
    FT   DNA_BIND      6     25       H-T-H motif.
    FT   VARIANT     282    282       Y -> D (in T41 mutant).
    FT   MUTAGEN      17     17       Y->H: Broadening of specificity.
    FT   MUTAGEN      22     22       R->N: Recognizes an operator variant.
    FT   CONFLICT    286    286       L -> S (in Ref. 1, 4 and 7).
    FT   HELIX         6     11
    FT   TURN         12     14
    FT   HELIX        17     24
    FT   HELIX        33     45
    FT   HELIX        51     56
    FT   STRAND       63     69
    FT   HELIX        74     89
    FT   STRAND       93     98
    FT   STRAND      101    103
    FT   HELIX       104    115
    FT   TURN        116    118
    FT   STRAND      122    126
    FT   HELIX       130    139
    FT   TURN        140    142
    FT   STRAND      145    150
    FT   STRAND      154    156
    FT   STRAND      158    161
    FT   HELIX       163    177
    FT   STRAND      181    186
    FT   HELIX       192    207
    FT   STRAND      213    217
    FT   HELIX       222    234
    FT   STRAND      240    246
    FT   HELIX       247    259
    FT   TURN        265    267
    FT   STRAND      268    271
    FT   HELIX       277    281
    FT   STRAND      282    284
    FT   STRAND      287    290
    FT   HELIX       293    308
    FT   STRAND      314    319
    FT   STRAND      322    324
    FT   STRAND      334    338
    FT   HELIX       343    353
    FT   HELIX       354    356
    SQ   SEQUENCE   360 AA;  38590 MW;  347A8DEE92D736CB CRC64;
         MKPVTLYDVA EYAGVSYQTV SRVVNQASHV SAKTREKVEA AMAELNYIPN RVAQQLAGKQ
         SLLIGVATSS LALHAPSQIV AAIKSRADQL GASVVVSMVE RSGVEACKAA VHNLLAQRVS
         GLIINYPLDD QDAIAVEAAC TNVPALFLDV SDQTPINSII FSHEDGTRLG VEHLVALGHQ
         QIALLAGPLS SVSARLRLAG WHKYLTRNQI QPIAEREGDW SAMSGFQQTM QMLNEGIVPT
         AMLVANDQMA LGAMRAITES GLRVGADISV VGYDDTEDSS CYIPPLTTIK QDFRLLGQTS
         VDRLLQLSQG QAVKGNQLLP VSLVKRKTTL APNTQTASPR ALADSLMQLA RQVSRLESGQ
    //

### Input files for usage example 2

### Database entry: tsw:ifna2_human

    ID   IFNA2_HUMAN             Reviewed;         188 AA.
    AC   P01563; P01564; Q14606; Q96KI6;
    DT   21-JUL-1986, integrated into UniProtKB/Swiss-Prot.
    DT   21-JUL-1986, sequence version 1.
    DT   16-MAY-2012, entry version 128.
    DE   RecName: Full=Interferon alpha-2;
    DE            Short=IFN-alpha-2;
    DE   AltName: Full=Interferon alpha-A;
    DE            Short=LeIF A;
    DE   Flags: Precursor;
    GN   Name=IFNA2;
    OS   Homo sapiens (Human).
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi;
    OC   Mammalia; Eutheria; Euarchontoglires; Primates; Haplorrhini;
    OC   Catarrhini; Hominidae; Homo.
    OX   NCBI_TaxID=9606;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA / MRNA].
    RX   MEDLINE=81052322; PubMed=6159538; DOI=10.1038/287411a0;
    RA   Goeddel D.V., Yelverton E., Ullrich A., Heyneker H.L., Miozzari G.,
    RA   Holmes W., Seeburg P.H., Dull T.J., May L., Stebbing N., Crea R.,
    RA   Maeda S., McCandliss R., Sloma A., Tabor J.M., Gross M.,
    RA   Familletti P.C., Pestka S.;
    RT   "Human leukocyte interferon produced by E. coli is biologically
    RT   active.";
    RL   Nature 287:411-416(1980).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA / MRNA].
    RX   MEDLINE=81148795; PubMed=6163083; DOI=10.1038/290020a0;
    RA   Goeddel D.V., Leung D.W., Dull T.J., Gross M., Lawn R.M.,
    RA   McCandliss R., Seeburg P.H., Ullrich A., Yelverton E., Gray P.W.;
    RT   "The structure of eight distinct cloned human leukocyte interferon
    RT   cDNAs.";
    RL   Nature 290:20-26(1981).
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA / MRNA].
    RX   MEDLINE=82060261; PubMed=6170983; DOI=10.1073/pnas.78.9.5435;
    RA   Lawn R.M., Gross M., Houck C.M., Franke A.E., Gray P.V., Goeddel D.V.;
    RT   "DNA sequence of a major human leukocyte interferon gene.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 78:5435-5439(1981).
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [MRNA].
    RC   TISSUE=Bone marrow tumor;
    RX   MEDLINE=86069501; PubMed=3906813;
    RA   Oliver G., Balbas P., Valle F., Soberon X., Bolivar F.;
    RT   "Cloning of human leukocyte interferon cDNA and a strategy for its
    RT   production in E. coli.";
    RL   Rev. Latinoam. Microbiol. 27:141-150(1985).
    RN   [5]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].

      [Part of this file has been deleted for brevity]

    DR   GO; GO:0060338; P:regulation of type I interferon-mediated signaling pathway; TAS:Reactome.
    DR   GO; GO:0009615; P:response to virus; IEA:UniProtKB-KW.
    DR   GO; GO:0060337; P:type I interferon-mediated signaling pathway; TAS:Reactome.
    DR   Gene3D; G3DSA:1.20.1250.10; 4_helix_cytokine_core; 1.
    DR   InterPro; IPR009079; 4_helix_cytokine-like_core.
    DR   InterPro; IPR012351; 4_helix_cytokine_core.
    DR   InterPro; IPR000471; Interferon_alpha/beta/delta.
    DR   PANTHER; PTHR11691; Interferon_abd; 1.
    DR   Pfam; PF00143; Interferon; 1.
    DR   PRINTS; PR00266; INTERFERONAB.
    DR   SMART; SM00076; IFabd; 1.
    DR   SUPFAM; SSF47266; 4_helix_cytokine; 1.
    DR   PROSITE; PS00252; INTERFERON_A_B_D; 1.
    PE   1: Evidence at protein level;
    KW   3D-structure; Antiviral defense; Complete proteome; Cytokine;
    KW   Direct protein sequencing; Disulfide bond; Glycoprotein;
    KW   Pharmaceutical; Polymorphism; Reference proteome; Secreted; Signal.
    FT   SIGNAL        1     23
    FT   CHAIN        24    188       Interferon alpha-2.
    FT                                /FTId=PRO_0000016360.
    FT   CARBOHYD    129    129       O-linked (GalNAc...).
    FT                                /FTId=CAR_000049.
    FT   DISULFID     24    121
    FT   DISULFID     52    161
    FT   VARIANT       6      6       A -> D (in dbSNP:rs35971916).
    FT                                /FTId=VAR_055972.
    FT   VARIANT      46     46       K -> R (in alpha-2B and alpha-2C;
    FT                                dbSNP:rs1061959).
    FT                                /FTId=VAR_004012.
    FT   VARIANT      57     57       H -> R (in alpha-2C).
    FT                                /FTId=VAR_013001.
    FT   VARIANT     177    177       S -> L (in a breast cancer sample;
    FT                                somatic mutation).
    FT                                /FTId=VAR_036329.
    FT   HELIX        33     44
    FT   TURN         49     54
    FT   HELIX        63     66
    FT   STRAND       67     69
    FT   STRAND       71     75
    FT   HELIX        76     91
    FT   HELIX        93     98
    FT   HELIX       101    123
    FT   HELIX       134    155
    FT   HELIX       160    178
    FT   TURN        179    182
    SQ   SEQUENCE   188 AA;  21550 MW;  101DD21D394CBF97 CRC64;
         MALTFALLVA LLVLSCKSSC SVGCDLPQTH SLGSRRTLML LAQMRKISLF SCLKDRHDFG
         FPQEEFGNQF QKAETIPVLH EMIQQIFNLF STKDSSAAWD ETLLDKFYTE LYQQLNDLEA
         CVIQGVGVTE TPLMKEDSIL AVRKYFQRIT LYLKEKKYSP CAWEVVRAEI MRSFSLSTNL
         QESLRSKE
    //

## Output file format

With `-plot` specified, a graphical output is produced.

The output is to the specified graphics device.

The results can be output in one of several formats by using the command-line qualifier -graph xxx, where 'xxx' is replaced by the name of the required device. Support depends on the availability of third-party software packages.

The device names that output to a file are: ps (postscript), cps (colourps), png, gif, pdf, svg, hpgl, hp7470, hp7580, das, data.

The other available device names are: meta, x11 (xwindows), tek (tek4107t), tekt (tektronix), xterm, text.

Output can be turned off by specifying none (null).

See: http://emboss.sf.net/docs/themes/GraphicsDevices.html for further information on supported devices.

### Output files for usage example

### File: laci_ecoli.iep

    IEP of LACI_ECOLI from 1 to 360
    Isoelectric Point = 6.8385

       pH     Bound    Charge
      1.00    81.96    37.96
      1.50    81.89    37.89
      2.00    81.65    37.65
      2.50    80.91    36.91
      3.00    78.79    34.79
      3.50    73.70    29.70
      4.00    65.15    21.15
      4.50    56.73    12.73
      5.00    51.75     7.75
      5.50    49.35     5.35
      6.00    47.60     3.60
      6.50    45.48     1.48
      7.00    43.37    -0.63
      7.50    41.85    -2.15
      8.00    40.66    -3.34
      8.50    39.41    -4.59
      9.00    38.01    -5.99
      9.50    36.14    -7.86
     10.00    32.99   -11.01
     10.50    28.45   -15.55
     11.00    23.58   -20.42
     11.50    19.41   -24.59
     12.00    15.19   -28.81
     12.50     9.75   -34.25
     13.00     4.64   -39.36
     13.50     1.75   -42.25
     14.00     0.59   -43.41

### Output files for usage example 2

### File: ifna2_human.iep

    IEP of IFNA2_HUMAN from 1 to 188
    Isoelectric Point = 5.7240

       pH     Bound    Charge
      1.00    52.98    22.98
      1.50    52.93    22.93
      2.00    52.77    22.77
      2.50    52.28    22.28
      3.00    50.87    20.87
      3.50    47.47    17.47
      4.00    41.62    11.62
      4.50    35.67     5.67
      5.00    32.10     2.10
      5.50    30.46     0.46
      6.00    29.48    -0.52
      6.50    28.46    -1.54
      7.00    27.44    -2.56
      7.50    26.58    -3.42
      8.00    25.80    -4.20
      8.50    24.95    -5.05
      9.00    23.99    -6.01
      9.50    22.70    -7.30
     10.00    20.46    -9.54
     10.50    17.02   -12.98
     11.00    13.16   -16.84
     11.50    10.04   -19.96
     12.00     7.49   -22.51
     12.50     4.72   -25.28
     13.00     2.23   -27.77
     13.50     0.84   -29.16
     14.00     0.28   -29.72

For each pH point it gives the number of bound electrons and the charge.

## Data files

iep reads in local data file Epk.dat which contains amino acid pK values used to calculate the isoelectric point of the whole protein

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

Here is the default Epk.dat file:

    # pK values for amino acids
    # O=Ornithine J=Hydroxyproline
    #
    # Amino acid	pK
    Amino		8.6
    Carboxyl	3.6

    C		8.5
    D		3.9
    E		4.1
    H		6.5
    K		10.8
    R		12.5
    Y		10.1

## Notes

Adjusting the pH of an aqueous protein solution to the point where the numbers of positive and negative charges on the protein are equal brings the protein to its isoelectric point. This is often the point of lowest solubility, presumably because it is the point at which there are fewest intermolecular repulsions, so that the molecules tend to form aggregates.

Modified lysines and disulphide bridges affect the contributions of those residues to the protein charge. A set number of each residue can be excluded.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

0 if successful.

## Known bugs

None.

## See also

Program name | Description
--- | ---
abiview | Display the trace in an ABI sequencer file
charge | Draw a protein charge plot
cirdna | Draw circular map of DNA constructs
hmoment | Calculate and plot hydrophobic moment for protein sequence(s)
lindna | Draw linear maps of DNA constructs
octanol | Draw a White-Wimley protein hydropathy plot
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepnet | Draw a helical net for a protein sequence
pepstats | Calculate statistics of protein properties
pepwheel | Draw a helical wheel diagram for a protein sequence
pepwindow | Draw a hydropathy plot for a protein sequence
pepwindowall | Draw Kyte-Doolittle hydropathy plot for a protein alignment
plotorf | Plot potential open reading frames in a nucleotide sequence
prettyplot | Draw a sequence alignment with pretty formatting
prettyseq | Write a nucleotide sequence and its translation to file
remap | Display restriction enzyme binding sites in a nucleotide sequence
showfeat | Display features of a sequence in pretty format
showpep | Display protein sequences with features in pretty format
sixpack | Display a DNA sequence with 6-frame translation and ORFs

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Completed 1st August 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None